{
  inputs = {
    # nixpkgs.url = "nixpkgs/nixos-22.05";
    nixpkgs.url = "nixpkgs/dfd82985c273aac6eced03625f454b334daae2e8";
    mobile-nixos = {
      # url = "github:nixos/mobile-nixos";
      url = "github:nixos/mobile-nixos/efbe2c3c5409c868309ae0770852638e623690b5";
      flake = false;
    };
  };

  outputs = { self, nixpkgs, mobile-nixos }: {
    pinephone-img = (nixpkgs.lib.nixosSystem {
      system = "aarch64-linux";
      modules = [
        (import "${mobile-nixos}/lib/configuration.nix" {
          device = "pine64-pinephone";
        })
        ({ ... }: {
          nixpkgs.config.allowUnfree = true;
        })
      ];
    }).config.mobile.outputs.u-boot.disk-image;
  };
}
